Subject: [bug#58261] [PATCH v2 00/13] Add rdkit v2.

From: David Elsing <[email-masked]>
Date: Fri, 7 Oct 2022 15:21:37 +0000

Thanks a lot for your comments, they are very helpful!
Sorry about the descriptions, I took them mostly from upstream. :)
Are they still too short?

I still have the following problems:
* The tests of tinydir contain a bundled fork of cbehave which uses a
  (bundled) copy of rlutil, so I left them disabled for now.
* Building the documentation of yaehmop with pdflatex is not reproducible even
  though I set FORCE_SOURCE_DATE=1. Is it even necessary to build the
  documentation?
* Using @abbr in the description does not work (I also did not find it in any
  other package).

Greetings,
David

David Elsing (13):
  gnu: Add fast-float.
  gnu: Add pocketfft.
  gnu: Add sajson.
  gnu: Add tinydir.
  gnu: Add optionparser.
  gnu: Add gemmi.
  gnu: Add freesasa.
  gnu: Add maeparser.
  gnu: Add coordgenlibs.
  gnu: Add yaehmop-tightbind.
  gnu: Add avalontoolkit.
  gnu: Add ringdecomposerlib.
  gnu: Add rdkit.

 gnu/packages/chemistry.scm                    | 713 ++++++++++++++++++
 gnu/packages/cpp.scm                          | 232 ++++++
 .../patches/gemmi-fix-sajson-types.patch      |  11 +
 .../rdkit-cmake-external-dependencies.patch   | 102 +++
 .../patches/sajson-build-with-gcc10.patch     |  45 ++
 .../sajson-for-gemmi-build-with-gcc10.patch   |  45 ++
 .../sajson-for-gemmi-numbers-as-strings.patch | 195 +++++
 7 files changed, 1343 insertions(+)
 create mode 100644 gnu/packages/patches/gemmi-fix-sajson-types.patch
 create mode 100644 gnu/packages/patches/rdkit-cmake-external-dependencies.patch
 create mode 100644 gnu/packages/patches/sajson-build-with-gcc10.patch
 create mode 100644 gnu/packages/patches/sajson-for-gemmi-build-with-gcc10.patch
 create mode 100644 gnu/packages/patches/sajson-for-gemmi-numbers-as-strings.patch

-- 
2.37.0